export interface RequestLog {
    method: 'post';
    route: string;
    data: any;
    timestamp: number;
}

export class RequestLogger {
    public static logRequest(route: string, data: any, method: 'post') {
        const timestamp = Date.now();
        const log: RequestLog = {
        method,
        route,
        data,
        timestamp,
        };

        if (!navigator.onLine) {
        const offlineLogs = JSON.parse(localStorage.getItem('fmapp-log') || '[]');
        offlineLogs.push(log);
        localStorage.setItem('fmapp-log', JSON.stringify(offlineLogs));
        }
    }
}
